> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tensorpix.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv2tensorshotsjobsimage to text

> Run the post operation for this API flow.

Run the main steps in order and keep side effects in this scope.

Args:
    request: Input value used by this function.
    args: Input value used by this function.
    kwargs: Input value used by this function.

Raises:
    Exception: Raised when the operation cannot continue.

Returns:
    Result value returned to the caller.



## OpenAPI

````yaml https://backend.tensorpix.ai/api/schema/ post /api/v2/tensorshots/jobs/image-to-text/
openapi: 3.1.0
info:
  title: TensorPix OpenAPI Documentation
  version: 1.1.0
  termsOfService: https://tensorpix.ai/terms-conditions
  contact:
    name: TensorPix Dev Team
    email: devs@tensorpix.ai
servers:
  - url: https://backend.tensorpix.ai
security: []
externalDocs:
  url: https://docs.tensorpix.ai
  description: Check out the full TensorPix documentation.
paths:
  /api/v2/tensorshots/jobs/image-to-text/:
    post:
      tags:
        - v2
      description: |-
        Run the post operation for this API flow.

        Run the main steps in order and keep side effects in this scope.

        Args:
            request: Input value used by this function.
            args: Input value used by this function.
            kwargs: Input value used by this function.

        Raises:
            Exception: Raised when the operation cannot continue.

        Returns:
            Result value returned to the caller.
      operationId: v2_tensorshots_jobs_image_to_text_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateImageToTextJob'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/CreateImageToTextJob'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/CreateImageToTextJob'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateImageToTextJob'
          description: ''
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: ''
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthenticatedError'
          description: ''
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenError'
          description: ''
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitError'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    CreateImageToTextJob:
      type: object
      description: Serializer for creating an image-to-text job.
      properties:
        image_asset:
          type: string
          format: uuid
        project:
          type:
            - string
            - 'null'
          format: uuid
          writeOnly: true
        shot:
          type:
            - string
            - 'null'
          format: uuid
          writeOnly: true
        project_real_estate:
          type:
            - string
            - 'null'
          format: uuid
          writeOnly: true
        real_estate_shot:
          type:
            - string
            - 'null'
          format: uuid
          writeOnly: true
        fidelity_level:
          allOf:
            - $ref: '#/components/schemas/FidelityLevelEnum'
          description: |-
            Requested detail level for the generated description.

            * `high` - High
            * `mid` - Mid
            * `low` - Low
      required:
        - image_asset
    ValidationError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
        non_field_errors:
          type: array
          items:
            type: string
      required:
        - errors
        - non_field_errors
    UnauthenticatedError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
      required:
        - detail
    ForbiddenError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
      required:
        - detail
    RateLimitError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
      required:
        - detail
    FidelityLevelEnum:
      enum:
        - high
        - mid
        - low
      type: string
      description: |-
        * `high` - High
        * `mid` - Mid
        * `low` - Low
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````